Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class SelectTag

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.TagNode
              org.htmlparser.tags.CompositeTag
                  org.htmlparser.tags.SelectTag

All Implemented Interfaces:
  Serializable, Cloneable, Node, Tag

    public class SelectTag

extends CompositeTag

A select tag within a form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.CompositeTag
`mDefaultCompositeScanner, mEndTag`

Fields inherited from class org.htmlparser.nodes.TagNode
`breakTags, mAttributes, mDefaultScanner`

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`SelectTag()` Create a new select tag.

Method Summary
`String[]` | `getEnders()` Return the set of tag names that cause this tag to finish.
`String[]` | `getEndTagEnders()` Return the set of end tag names that cause this tag to finish.
`String[]` | `getIds()` Return the set of names handled by this tag.
`OptionTag[]` | `getOptionTags()` Get the list of options in this `SELECT` tag.

Methods inherited from class org.htmlparser.tags.CompositeTag
`accept, childAt, children, collectInto, digupStringNode, elements, findPositionOf, findPositionOf, findPositionOf, getChild, getChildCount, getChildrenAsNodeArray, getChildrenHTML, getEndTag, getStringText, getText, putChildrenInto, putEndTagInto, removeChild, searchByName, searchFor, searchFor, searchFor, searchFor, setEndTag, toHtml, toPlainTextString, toString, toString`

Methods inherited from class org.htmlparser.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributesEx, getEndingLineNumber, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getThisScanner, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributeEx, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, setThisScanner`

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Constructor Detail

### SelectTag

    public SelectTag()

  Create a new select tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Specified by:
    `getIds` in interface `Tag`
  Overrides:
    `getIds` in class `TagNode`
  Returns:
    The names to be matched that create tags of this type.

### getEnders

    public String[] getEnders()

  Return the set of tag names that cause this tag to finish.

  Specified by:
    `getEnders` in interface `Tag`
  Overrides:
    `getEnders` in class `TagNode`
  Returns:
    The names of following tags that stop further scanning.

### getEndTagEnders

    public String[] getEndTagEnders()

  Return the set of end tag names that cause this tag to finish.

  Specified by:
    `getEndTagEnders` in interface `Tag`
  Overrides:
    `getEndTagEnders` in class `TagNode`
  Returns:
    The names of following end tags that stop further scanning.

### getOptionTags

    public OptionTag[] getOptionTags()

  Get the list of options in this `SELECT` tag.

  Returns:
    The <OPTION> tags contained by this tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |